# $Revision: 1.9 $, $Date: 2011/05/26 00:45:57 $
Summary:	PostgreSQL JDBC driver
Summary(pl.UTF-8):	Sterownik JDBC do PostgreSQL-a
Name:		postgresql-jdbc
Version:	606
Release:	1
License:	BSD
Group:		Development/Languages/Java
Source0:	http://jdbc.postgresql.org/download/%{name}-8.3-%{version}.src.tar.gz
# Source0-md5:	102a2ce0acc01008f1d0978a456aa892
URL:		http://jdbc.postgresql.org/
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-utils
BuildRequires:	ant >= 1.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PostgreSQL JDBC driver allows Java programs to connect to a PostgreSQL
database using standard, database independent Java code. It is a pure
Java (Type IV) implementation. The driver provides are reasonably
complete implementation of the JDBC 3 specification in addition to
some PostgreSQL specific extensions. Our goal is nothing short of full
compliance, but it's not there yet. Some features require additional
backend support and others just need someone to implement them.

%description -l pl.UTF-8
Sterownik JDBC do PostgreSQL-a pozwala programom w Javie łączyć się z
bazą danych PostgreSQL przy użyciu stanadrdowego, niezależnego od bazy
danych, kodu w Javie. Jest to implementacja w czystej Javie (Type IV).
Sterownik dostarcza prawie pełną implementację specyfikacji JDBC 3 z
dodatkiem rozszerzeń specyficznych dla PostgreSQL-a. Celem jest
osiągnięcie pełnej zgodności, ale do niej jeszcze trochę brakuje.
Niektóre możliwości wymagają dodatkowego wsparcia backendu, a inne po
prostu kogoś, kto je zaimplementuje.

%prep
%setup -q -n %{name}-8.3-%{version}.src

%build
ant

cd doc
db2html pgjdbc.xml

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install jars/postgresql.jar $RPM_BUILD_ROOT%{_javadir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README doc/pgjdbc
%{_javadir}/postgresql.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: postgresql-jdbc.spec,v $
Revision 1.9  2011/05/26 00:45:57  zbyniu
- up to 606

Revision 1.8  2010/01/01 22:54:16  sparky
- use standatd BuildRoot directory

Revision 1.7  2008/11/18 21:35:16  radek
- version 604

Revision 1.6  2008/07/23 21:35:03  twittner
- up to 603 for PostgreSQL 8.3
- noarch

Revision 1.5  2007/11/21 12:11:26  baggins
- updated to 506 for postgresql 8.2

Revision 1.4  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.2  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.1  2005/02/13 19:49:40  qboosh
- new (separate from postgresql.spec since 8.0)

